Bug 574627 - Review request: sunpinyin - A statistical language model based Chinese input method
Summary: Review request: sunpinyin - A statistical language model based Chinese input ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Howard Ning
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1043504
TreeView+ depends on / blocked
 
Reported: 2010-03-18 01:19 UTC by Liang Suilong
Modified: 2013-12-16 13:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-20 02:34:04 UTC
Type: ---
mrlhwliberty: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Liang Suilong 2010-03-18 01:19:26 UTC
Description: 

Ibus-sunpinyin is a wrapper for SunPinyin 2 on IBus platform.

Both of ibus-sunpinyin and SunPinyin itself are dual licensed under
LGPL 2.1 and CDDL.

SPEC: https://dl.dropbox.com/u/1352061/ibus-sunpinyin.spec
SRPM: https://dl.dropbox.com/u/1352061/ibus-sunpinyin-2.0-0.9.rc8.fc12.src.rpm

Koji result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2059096

Comment 1 Robin Lee 2010-03-20 05:34:36 UTC
2.0 final is available.

Comment 3 Chen Lei 2010-04-12 13:41:15 UTC
koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2109982

Comment 4 Howard Ning 2010-08-09 14:36:39 UTC
Does this one require review? Or it is obsolete and not maintained?

Comment 5 Liang Suilong 2010-08-09 16:11:48 UTC
(In reply to comment #4)
> Does this one require review? Or it is obsolete and not maintained?    

The author is rewriting the building script. So we must wait for it until they finish all the jobs and release a new version. 

At this time, I just can consider the development of sunpinyin.

Comment 6 Chen Lei 2010-08-17 05:37:42 UTC
(In reply to comment #4)
> Does this one require review? Or it is obsolete and not maintained?

Please review sunpinyin 2.0.2, thanks!

Links:

https://dl-web.dropbox.com/u/1338197/1/sunpinyin-2.0.2-1.fc13.src.rpm
https://dl-web.dropbox.com/u/1338197/1/sunpinyin.spec

Comment 7 Howard Ning 2010-08-19 02:02:09 UTC
Formal review:
OK: good
?: Question
NA: Not applicable

[OK]  MUST: rpmlint must be run on every package. The output should be posted in the review.
$ rpmlint sunpinyin.spec
sunpinyin.spec:113: E: hardcoded-library-path in %{_prefix}/lib/*.so*
sunpinyin.spec:114: E: hardcoded-library-path in %{_prefix}/lib/pkgconfig
sunpinyin.spec:170: E: hardcoded-library-path in %{_prefix}/lib/%{name}
sunpinyin.spec:174: E: hardcoded-library-path in %{_prefix}/lib/%{name}
sunpinyin.spec: W: no-cleaning-of-buildroot %install
sunpinyin.spec: W: no-buildroot-tag
sunpinyin.spec: W: invalid-url Source0: http://sunpinyin.googlecode.com/files
ibus-sunpinyin.x86_64: W: no-documentation
sunpinyin.src:113: E: hardcoded-library-path in %{_prefix}/lib/*.so*
sunpinyin.src:114: E: hardcoded-library-path in %{_prefix}/lib/pkgconfig
sunpinyin.src:170: E: hardcoded-library-path in %{_prefix}/lib/%{name}
sunpinyin.src:174: E: hardcoded-library-path in %{_prefix}/lib/%{name}
sunpinyin.src: W: no-cleaning-of-buildroot %install
sunpinyin.src: W: no-buildroot-tag
sunpinyin.src: W: invalid-url Source0: http://sunpinyin.googlecode.com/files/sunpinyin-2.0.2.tar.gz HTTP Error 404: Not Found
sunpinyin-data-le.noarch: W: spelling-error Summary(en_US) endian -> Indian, ending, endive
sunpinyin-data-le.noarch: W: spelling-error %description -l en_US endian -> Indian, ending, endive
sunpinyin-data-le.noarch: W: only-non-binary-in-usr-lib
sunpinyin-data-le.noarch: W: no-documentation
sunpinyin-devel.x86_64: W: no-documentation
xsunpinyin.x86_64: W: spelling-error %description -l en_US fcitx -> fecit, fugacity, ferocity
xsunpinyin.x86_64: W: conffile-without-noreplace-flag /etc/X11/xinit/xinput.d/xsunpinyin.conf
xsunpinyin.x86_64: W: no-documentation
xsunpinyin.x86_64: W: no-manual-page-for-binary xsunpinyin
xsunpinyin.x86_64: W: no-manual-page-for-binary xsunpinyin-preferences
6 packages and 0 specfiles checked; 4 errors, 14 warnings.

[OK] MUST: The package must be named according to the Package Naming Guidelines .
[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
[OK] MUST: The package must meet the Packaging Guidelines .
[?] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
The license for the code id OK.
The license for the data might be Creative Commons 3.0 BY-SA: C-BY-SA for the data as stated in the google code project page.

[?] MUST: The License field in the package spec file must match the actual license.
See above.
 
[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English. 
[OK] MUST: The spec file for the package MUST be legible. 
[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[OK] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[OK] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[?] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
The -devel package contains libsunpinyin.so
should it call ldconfig?

[OK] MUST: Packages must NOT bundle copies of system libraries.
[OK] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
[OK] MUST: Each package must consistently use macros. 
[OK] MUST: The package must contain code, or permissable content. 
[OK] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
[OK] MUST: Header files must be in a -devel package.
[OK] MUST: Static libraries must be in a -static package. 
[OK] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
[OK] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[OK] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
[OK] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[OK] MUST: All filenames in rpm packages must be valid UTF-8. 

[OK]  SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[NA] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[OK] SHOULD: The reviewer should test that the package builds in mock. 
[OK] SHOULD: The package should compile and build into binary rpms on all supported architectures. 
[OK] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
[OK] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. 
[OK] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. 
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. 
[NA] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

Problems:
License of the data.

Comment 8 Chen Lei 2010-08-19 04:02:55 UTC
(In reply to comment #7)

> [?] MUST: The package must be licensed with a Fedora approved license and meet
> the Licensing Guidelines.
> The license for the code id OK.
> The license for the data might be Creative Commons 3.0 BY-SA: C-BY-SA for the
> data as stated in the google code project page.
> 
Fixed.

> [?] MUST: Every binary RPM package (or subpackage) which stores shared library
> files (not just symlinks) in any of the dynamic linker's default paths, must
> call ldconfig in %post and %postun.
> The -devel package contains libsunpinyin.so
> should it call ldconfig?
> 
libsunpinyin.so is just a symlink, so ldconfig is not needed.


Links:

https://dl-web.dropbox.com/u/1338197/1/sunpinyin-2.0.2-2.fc13.src.rpm
https://dl-web.dropbox.com/u/1338197/1/sunpinyin.spec

Comment 9 Howard Ning 2010-08-19 13:14:54 UTC
No major problems in the new version. APPROVED!

Additional: Upstream should make the building script better and include the CC-BY-SA license text in the future version.

Comment 10 Chen Lei 2010-08-19 13:37:54 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: sunpinyin
Short Description: A statistical language model based Chinese input method engine
Owners: liangsuilong supercyper helloworld1
Branches: F-12 F-13 F-14

Comment 11 Jason Tibbitts 2010-08-19 14:24:28 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.